org.modeshape.jcr.query.model

## Class Visitors.ReadableVisitor

- java.lang.Object
- - org.modeshape.jcr.query.model.Visitors.ReadableVisitor

- All Implemented Interfaces:
    Visitor
  Direct Known Subclasses:
    Visitors.JcrSql2Writer
  Enclosing class:
    Visitors

      public static class Visitors.ReadableVisitor
      extends Object
      implements Visitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExecutionContext` | `context`
    `protected NamespaceRegistry` | `registry`
    `protected StringBuilder` | `sb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Visitors.ReadableVisitor(ExecutionContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Visitors.ReadableVisitor` | `append(char character)`
    `protected Visitors.ReadableVisitor` | `append(int value)`
    `protected Visitors.ReadableVisitor` | `append(Name name)`
    `protected Visitors.ReadableVisitor` | `append(Path path)`
    `protected Visitors.ReadableVisitor` | `append(SelectorName name)`
    `protected Visitors.ReadableVisitor` | `append(String string)`
    `protected Visitors.ReadableVisitor` | `appendAlias(String columnName)`
    `protected Visitors.ReadableVisitor` | `appendColumnName(String columnName)`
    `protected Visitors.ReadableVisitor` | `appendPropertyName(String columnName)`
    `ExecutionContext` | `getContext()`
    `String` | `getString()` Get the string representation of the visited objects.
    `String` | `toString()`
    `void` | `visit(AllNodes allNodes)`
    `void` | `visit(And and)`
    `void` | `visit(ArithmeticOperand arithmeticOperand)`
    `void` | `visit(Between between)`
    `void` | `visit(BindVariableName variable)`
    `void` | `visit(ChildCount childCount)`
    `void` | `visit(ChildNode child)`
    `void` | `visit(ChildNodeJoinCondition condition)`
    `void` | `visit(Column column)`
    `void` | `visit(Comparison comparison)`
    `void` | `visit(DescendantNode descendant)`
    `void` | `visit(DescendantNodeJoinCondition condition)`
    `void` | `visit(EquiJoinCondition condition)`
    `void` | `visit(FullTextSearch fullText)`
    `void` | `visit(FullTextSearchScore score)`
    `void` | `visit(Join join)`
    `void` | `visit(Length length)`
    `void` | `visit(Limit limit)`
    `void` | `visit(Literal literal)`
    `void` | `visit(LowerCase lowerCase)`
    `void` | `visit(NamedSelector selector)`
    `void` | `visit(NodeDepth depth)`
    `void` | `visit(NodeId id)`
    `void` | `visit(NodeLocalName name)`
    `void` | `visit(NodeName name)`
    `void` | `visit(NodePath path)`
    `void` | `visit(Not not)`
    `void` | `visit(Or or)`
    `void` | `visit(Ordering ordering)`
    `void` | `visit(PropertyExistence existence)`
    `void` | `visit(PropertyValue value)`
    `void` | `visit(Query query)`
    `void` | `visit(ReferenceValue value)`
    `void` | `visit(Relike relike)`
    `void` | `visit(SameNode sameNode)`
    `void` | `visit(SameNodeJoinCondition condition)`
    `void` | `visit(SetCriteria criteria)`
    `void` | `visit(SetQuery query)`
    `void` | `visit(Subquery subquery)`
    `void` | `visit(UpperCase upperCase)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sb

          protected final StringBuilder sb

    - #### context

          protected final ExecutionContext context

    - #### registry

          protected final NamespaceRegistry registry

  - ### Constructor Detail

    - #### Visitors.ReadableVisitor

          public Visitors.ReadableVisitor(ExecutionContext context)

  - ### Method Detail

    - #### appendAlias

          protected Visitors.ReadableVisitor appendAlias(String columnName)

    - #### appendColumnName

          protected Visitors.ReadableVisitor appendColumnName(String columnName)

    - #### appendPropertyName

          protected Visitors.ReadableVisitor appendPropertyName(String columnName)

    - #### append

          protected Visitors.ReadableVisitor append(String string)

    - #### append

          protected Visitors.ReadableVisitor append(char character)

    - #### append

          protected Visitors.ReadableVisitor append(int value)

    - #### append

          protected Visitors.ReadableVisitor append(SelectorName name)

    - #### append

          protected Visitors.ReadableVisitor append(Name name)

    - #### append

          protected Visitors.ReadableVisitor append(Path path)

    - #### getContext

          public final ExecutionContext getContext()

      Returns:
        context

    - #### getString

          public final String getString()

      Get the string representation of the visited objects.
      Returns:
        the string representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### visit

          public void visit(AllNodes allNodes)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(And and)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ArithmeticOperand arithmeticOperand)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Between between)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(BindVariableName variable)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildCount childCount)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildNode child)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ChildNodeJoinCondition condition)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Column column)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Comparison comparison)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Relike relike)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(DescendantNode descendant)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(DescendantNodeJoinCondition condition)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(EquiJoinCondition condition)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(FullTextSearch fullText)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(FullTextSearchScore score)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Join join)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Length length)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Limit limit)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Literal literal)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(LowerCase lowerCase)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeDepth depth)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeId id)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodePath path)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeLocalName name)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NodeName name)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(NamedSelector selector)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Not not)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Or or)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Ordering ordering)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(PropertyExistence existence)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(PropertyValue value)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(ReferenceValue value)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Query query)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(Subquery subquery)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SameNode sameNode)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SameNodeJoinCondition condition)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SetCriteria criteria)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(SetQuery query)

      Specified by:
        `visit` in interface `Visitor`

    - #### visit

          public void visit(UpperCase upperCase)

      Specified by:
        `visit` in interface `Visitor`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.